### Hierarchy

- EventFactory

## Index

### Constructors

- constructor

### Properties

- channelId

### Methods

- getRatingEvent

## Constructors

### constructor

- new EventFactory(channelId: undefined | string): EventFactory

- - Defined in lib/event/EventFactory.ts:7

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns EventFactory

## Properties

### Optional channelId

channelId: undefined | string

- Defined in lib/event/EventFactory.ts:7

## Methods

### getRatingEvent

- getRatingEvent(nodeToBeRated: ProcessNode, score: string, attributes: object): IEvent

- - Defined in lib/event/EventFactory.ts:13

  #### Parameters

  - ##### nodeToBeRated: ProcessNode

  - ##### score: string

  - ##### attributes: object

  #### Returns IEvent

Generated using TypeDoc